/****************************************************************************
*
* Filename:    HRDL.vh
* Copyright:   Pico Technology Limited 2006
* Description:
*
* This header defines the interface to driver routines for the 
*	HRDL series of Data Loggers and Oscilloscopes for Agilent VEE 7
*
****************************************************************************/


short __stdcall HRDLOpenUnit (void);

short __stdcall HRDLOpenUnitAsync (void);

short __stdcall HRDLOpenUnitProgress (
	short *handle, 
	short * progress);

short __stdcall HRDLGetUnitInfo (									short handle,											char * string,
	short stringLength,
	short info);

short __stdcall HRDLCloseUnit(
	short handle );

short __stdcall HRDLGetMinMaxAdcCounts (
	short handle, 
	long *minAdc, 
	long * maxAdc, 
	short channel);

short __stdcall HRDLSetAnalogInChannel (
	short handle, 
	short channel, 
	short enabled, 
	short range, 	
	short singleEnded);

short __stdcall HRDLSetDigitalIOChannel (
	short handle, 
	short directionOut, 
	short digitalOutPinState, 
	short enabledDigitalIn);

short __stdcall HRDLSetInterval (
	short handle, 
	long sampleInterval_ms, 
	short conversionTime);

short __stdcall HRDLRun (
	short handle, 
	long nValues, 
	short method);

short __stdcall HRDLReady (
	short handle);

void __stdcall HRDLStop (
	short handle);

long __stdcall HRDLGetValues (
	short handle,
	long * values,
	short * overflow,
	long no_of_values);

long __stdcall HRDLGetTimesAndValues(
	short handle,
	long  * times,
	long * values,
	short * overflow,
	long noOfValues);


// this routine blocks other functions until it returns
short __stdcall HRDLGetSingleValue (
  	short handle,
	short channel,
	short range,
	short conversionTime,
	short singleEnded,
	short *overflow,
	long *value); 

short __stdcall HRDLCollectSingleValueAsync (
	short handle,
	short channel,
	short range,
	short conversionTime,
	short singleEnded
	); 

short __stdcall HRDLGetSingleValueAsync (
	short handle,
	long *value,
	short *overflow); 

short __stdcall HRDLSetMains (
	short handle, 
	short sixtyHertz);

short __stdcall HRDLGetNumberOfEnabledChannels (
	short handle, 
	short *nEnabledChannels);